#ifndef MYAUTOSTARTITEM_H
#define MYAUTOSTARTITEM_H

#include <QFrame>
#include <QLabel>
#include <designer/ndewidgetmaterialtoggle.h>
#include <QString>
#include <XdgAutoStart>

class NdeAutostartItem:public QFrame
{
    Q_OBJECT
public:
    explicit NdeAutostartItem(QWidget* parent = nullptr);
    ~NdeAutostartItem();

 private Q_SLOTS:
    void onToggleChecked();

public:
    void setLabelName(QString s);
    void setLabelIcon(QPixmap  s);
    void setLabelDesktopfile(XdgDesktopFile file);
    void setTogglemode();
private:
    void init();
    void change_desktopfile(QString s);

private:
    QLabel*  item_name;
    QLabel*  item_icon;
    NdeWidget::QMaterialToggle*widget_toggle;
    QWidget*  item_widget;
    XdgDesktopFile item_desktopfile;

};

#endif // MYAUTOSTARTITEM_H
