#include "firewallstack.h"
#include "firewall.h"

FirewallStack::FirewallStack(QWidget *parent) : StackPage(parent)
{
    this->setFirstPage(FireWall::pageKey());
}

Page *FirewallStack::createPage(const QString key)
{
    if(key == FireWall::pageKey())
    {
        FireWall * page = new FireWall(this);
        return page;
    }
    return nullptr;
}
