#ifndef LOGSTACK_H
#define LOGSTACK_H

#include "../baseui/stackpage.h"
#include "loglistitem.h"

class LogStack : public StackPage
{
    Q_OBJECT
public:
    explicit LogStack(QWidget *parent = nullptr);

protected:
    //创建页面，要在子类中实现
    virtual Page * createPage(const QString key);

private Q_SLOTS:
    void slotOpenLogInfo(const QString & logName , LogListItem::LOG_TYPE type);
};

#endif // LOGSTACK_H
