#ifndef SYSTEMLOGSETTING_H
#define SYSTEMLOGSETTING_H

#include "../baseui/page.h"

namespace Ui {
class SystemLogSetting;
}

class SystemLogSetting : public Page
{
    Q_OBJECT
public:
    explicit SystemLogSetting(QWidget *parent = nullptr);
    ~SystemLogSetting();

public:
    //页面唯一键
    static QString pageKey() {return "systemlogsetting";}

    //页面标题
    virtual QString pageTitle() {return tr("Auto Clean Settings");}

    //该页面底部的按钮QPair<key, text>
    virtual QList<QPair<int, QString> > buttomBtnsPair(){
        return QList<QPair<int, QString> >();
    }
    virtual QList<int> buttomBtnsVisible(){ return QList<int>(); }

    //刷新界面显示接口
    virtual void refreshPage();

private Q_SLOTS:
    void slotAutoCleanComboxChanged(int index);
private:
    Ui::SystemLogSetting *ui;
};
#endif // SYSTEMLOGSETTING_H
