#include "screenstack.h"
#include "../baseui/common.h"
#include "screenmonitor.h"

ScreenStack::ScreenStack(QWidget *parent) : StackPage(parent)
{
    this->setFirstPage(ScreenMonitor::pageKey());
}

Page *ScreenStack::createPage(const QString key)
{
    if(key == ScreenMonitor::pageKey())
    {
        ScreenMonitor * page = new ScreenMonitor(this);
        return page;
    }
    return nullptr;
}
