
#include "taskbarstack.h"
#include "taskbar.h"
#include "commonmenu.h"
#include "showsystemiconintray.h"
#include <QDebug>

TaskbarStack::TaskbarStack(QWidget *parent) : StackPage(parent)
{
    this->setFirstPage(Taskbar::pageKey());
}

Page *TaskbarStack::createPage(const QString key)
{
    if(key == Taskbar::pageKey())
    {
        Taskbar * page = new Taskbar(this);
        return page;
    }
    else if (key == CommonMenu::pageKey()) {
        CommonMenu * page = new CommonMenu(this);
        return page;
    }
    else if (key == ShowSystemIconInTray::pageKey()) {
        ShowSystemIconInTray * page = new ShowSystemIconInTray(this);
        return page;
    }
    return nullptr;
}
