#include "vpn.h"
#include "ui_vpn.h"
#include <QProcess>

VPN::VPN(QWidget *parent) :
    Page(parent),
    ui(new Ui::VPN)
{
    ui->setupUi(this);
    QFile f(":/qss/vpn.qss");
    if(f.open(QIODevice::ReadOnly))
    {
        QString style = f.readAll().replace("\n", "");
        this->setStyleSheet(style);
    }
    ui->frame->setTitle(tr("VPN"));
    connect(ui->frame,&ClickedFrame::clicked,this,&VPN::onProcess);
}

VPN::~VPN()
{
    delete ui;
}

void VPN::refreshPage()
{
    //
}
void VPN::onProcess()
{
    QProcess::startDetached("nm-connection-editor");
}

