#ifndef VPN_H
#define VPN_H

#include "../baseui/page.h"

namespace Ui {
class VPN;
}

class VPN : public Page
{
    Q_OBJECT

public:
    explicit VPN(QWidget *parent = nullptr);
    ~VPN();

public:
    //页面唯一键
    static QString pageKey() {return "vpn";}

    //页面标题
    virtual QString pageTitle() {return tr("VPN");}

    //该页面底部的按钮QPair<key, text>
    virtual QList<QPair<int, QString> > buttomBtnsPair(){
        return QList<QPair<int, QString> >();
    }
    virtual QList<int> buttomBtnsVisible(){ return QList<int>(); }

    //刷新界面显示接口
    virtual void refreshPage();

private Q_SLOTS:
    void onProcess();
private:
    Ui::VPN *ui;

};


#endif // VPN_H
