#include <QDebug>
#include "dateobject.h"


DateObject::DateObject(QObject *parent):QObject(parent)
{

}
DateObject::DateObject(const QString &englishZoneName, const QString &zoneName, const QString &zoneFlag, QObject *parent)
    :QObject(parent),m_englishZoneName(englishZoneName),m_zoneName(zoneName),m_zoneFlag(zoneFlag)
{

}

QString DateObject::englishZoneName() const
{
    return m_englishZoneName;
}

void DateObject::setEnglishZoneName(const QString &englishZoneName){
    if(englishZoneName!=m_englishZoneName){
        m_englishZoneName=englishZoneName;
        Q_EMIT englishZoneNameChanged();
    }
}

QString DateObject::zoneName() const
{
    return m_zoneName;
}

void DateObject::setZoneName(const QString &zoneName)
{
    if(zoneName!=m_zoneName){
        m_zoneName=zoneName;
        Q_EMIT zoneNameChanged();
    }
}

QString DateObject::zoneFlag() const{
    return m_zoneFlag;
}

void DateObject::setZoneFlag(const QString &zoneFlag){

    if(zoneFlag!=m_zoneFlag){
        m_zoneFlag=zoneFlag;
        Q_EMIT zoneFlagChanged();
    }
}

