#include "fontstack.h"
#include "font.h"

FontStack::FontStack(QWidget *parent) : StackPage(parent)
{
    this->setFirstPage(Font::pageKey());
}

Page *FontStack::createPage(const QString key)
{
    if(key == Font::pageKey())
    {
        Font * page = new Font(this);
        return page;
    }
    return nullptr;
}
