#include "languageinstance.h"
#include <Nde/Settings>

#define LCLANG "LANG"

LanguageInstance::LanguageInstance(QObject *parent) : QObject(parent)
{
    //
}

LanguageInstance *LanguageInstance::getIns()
{
    static LanguageInstance ins;
    return &ins;
}

QLocale LanguageInstance::getCurLocale()
{
    Nde::Settings session_settings("session");
    session_settings.beginGroup("Environment");
    QString local_lang =session_settings.value(LCLANG).toString();
    session_settings.endGroup();
    if(local_lang.isEmpty())
    {
        local_lang = qgetenv(LCLANG);
    }
    return local_lang;
}

QLocale LanguageInstance::getSystemLocale()
{
//    Nde::Settings session_settings("session");
//    session_settings.beginGroup("Environment");
//    QString local_lang =session_settings.value(LCLANG).toString();
//    session_settings.endGroup();
//    if(local_lang.isEmpty())
//    {
//        local_lang = qgetenv(LCLANG);
//    }
////    _curLocale = QLocale(local_lang);

     QLocale system = QLocale(qgetenv(LCLANG));
     return system;
}
