#ifndef SYSTEMLOGINSTANCE_H
#define SYSTEMLOGINSTANCE_H

#include <QWidget>
#include <QFileSystemWatcher>
#include <QFileInfo>
#include <QDateTime>

const static QString LOG_PATH = "/var/log";
QString  getSize(int byte);
bool timeMoreThan(const QFileInfo &t1, const QFileInfo &t2);

class SystemLogInstance : public QWidget
{
    Q_OBJECT
private:
    explicit SystemLogInstance(QWidget *parent = nullptr);

public:
    static SystemLogInstance  * getIns();

signals:
    void signalLogFilesChanged();

public slots:

private:
    void getChildPath(const QString &dirPant, QList<QString> &paths);

private:
    QFileSystemWatcher * m_fileSystemWatcher;
};

#endif // SYSTEMLOGINSTANCE_H
