#ifndef LISTWIDGETITEM_H
#define LISTWIDGETITEM_H

#include <QFrame>

namespace Ui {
class ListWidgetItem;
}

class ListWidgetItem : public QFrame
{
    Q_OBJECT

public:
    explicit ListWidgetItem(const QString &name, const QString description, const bool status, const bool active, QWidget *parent = nullptr);
    ~ListWidgetItem();
    void resizeEvent(QResizeEvent *event) override;
private slots:
    void onCheckServiceStartupClicked(bool checked);

    void onCheckServiceRunningClicked(bool checked);

private:
    Ui::ListWidgetItem *ui;
    QString mDesc;
};

#endif // LISTWIDGETITEM_H
