#ifndef ABOUTNDE_H
#define ABOUTNDE_H

#include <QWidget>
#include "../baseui/page.h"

namespace Ui {
class AboutNDE;
}

class AboutNDE : public Page
{
    Q_OBJECT

public:
    explicit AboutNDE(QWidget *parent = nullptr);
    ~AboutNDE();
    //页面唯一键
    static QString pageKey() {return "systeminfo_aboutnNDE";}

    //页面标题
    virtual QString pageTitle() {return tr("About NDE");}

    //Back按钮按下后的接口，主要用于back之前应该处理的一些操作
    virtual void backBtnClicked();

    //每次进入该界面需要做的操作
    virtual void refreshPage();

    //该页面底部的按钮QPair<key, text>
    virtual QList<QPair<int, QString> > buttomBtnsPair();

    //底部按钮按下事件响应的接口
    virtual void buttomBtnClicked(const int key);

private:
    Ui::AboutNDE *ui;
};

#endif // ABOUTNDE_H
