#ifndef OTHERUSERFRAME_H
#define OTHERUSERFRAME_H

#include <QWidget>
#include <QFrame>
#include <QPushButton>
#include <QHBoxLayout>
#include <QLabel>
#include <QStackedWidget>
#include <designer/ndewidgetmaterialtoggle.h>
#include <QtAccountsService/AccountsManager>
#include <QtAccountsService/UserAccount>
#include <QMouseEvent>
#include "../baseui/nextpageframe.h"

using namespace QtAccountsService;

class OtherUserFrame : public NextPageFrame
{
    Q_OBJECT
public:
    explicit OtherUserFrame(UserAccount *user, QFrame * parent = nullptr);
    ~OtherUserFrame();

Q_SIGNALS:
    void changeUsersIndex(UserAccount *userAccount = nullptr);

private Q_SLOTS:
    void onEditUserChangeIndex();

private:
    UserAccount * userAccount_;
};

#endif // OTHERUSERFRAME_H
