#ifndef USERSTACK_H
#define USERSTACK_H

#include "../baseui/stackpage.h"
#include <QtAccountsService/UserAccount>

class UserStack : public StackPage
{
    Q_OBJECT
public:
    explicit UserStack(QWidget *parent = nullptr);

protected:
    //创建页面，要在子类中实现
    virtual Page * createPage(const QString key);

private Q_SLOTS:
    void slotUserChange(QString name);
    void slotUserListChange();
    void slotChangeUserAccountName(QtAccountsService::UserAccount * account);
    void slotChangeUserAccountPasswd(QtAccountsService::UserAccount * account);
    void slotEditUserAccount(QtAccountsService::UserAccount * account);
    void slotEditUserAccountAvatar(QtAccountsService::UserAccount * account);
    void slotAvaterPathChange(QString path);
    void slotChangeAutoLoing();
};

#endif // USERSTACK_H
